restorecond_2.8-1_amd64.deb


Advertisement

Description

restorecond - SELinux core policy utilities (restorecond utilities)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name restorecond
Package version 2.8
Package release 1
Package architecture amd64
Package type deb
Installed size 80 B
Download size 33.71 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
restorecond_2.8-1_i386.deb 2.8 i386 Debian Main
restorecond - - -

Requires

Name Value
libc6 >= 2.27
libdbus-1-3 >= 1.9.14
libdbus-glib-1-2 >= 0.78
libglib2.0-0 >= 2.12.0
libpcre3 -
libselinux1 >= 2.8
lsb-base >= 3.0-6
selinux-utils -

Replaces

Name Value
policycoreutils << 2.4

Download

Type URL
Binary Package restorecond_2.8-1_amd64.deb
Source Package restorecond

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install restorecond deb package:
    # sudo apt-get install restorecond

Files

Path
/etc/init.d/restorecond
/etc/selinux/restorecond.conf
/etc/selinux/restorecond_user.conf
/etc/xdg/autostart/restorecond.desktop
/lib/systemd/system/restorecond.service
/usr/sbin/restorecond
/usr/share/dbus-1/services/org.selinux.Restorecond.service
/usr/share/doc/restorecond/NEWS.Debian.gz
/usr/share/doc/restorecond/changelog.Debian.gz
/usr/share/doc/restorecond/copyright
/usr/share/man/man8/restorecond.8.gz

Changelog

2018-05-29 - Laurent Bigonville <bigon@debian.org>
restorecond (2.8-1) unstable; urgency=medium
* New upstream release
- debian/control: Bump {build-}dependencies to match the new release
* debian/control: Point Vcs-* fields to new (salsa) machine
* debian/rules: Adjust to match upstream changes to the build system
* debian/control: Bump Standards-Version to 4.1.4 (no further changes)
* debian/control: Drop dh-systemd build-dependency, not needed with dh 10
* debian/rules: Use dh_missing --list-missing instead of dh_install
2017-09-10 - Laurent Bigonville <bigon@debian.org>
restorecond (2.7-1) unstable; urgency=medium
* New upstream release
- debian/control: Bump {build-}dependencies to match the new release
* debian/control: Remove Manoj from the uploader list and add myself
instead. Thanks to him for all the work in the past.
* Bump debhelper compatibility to 10
* Bump Standards-Version to 4.1.0 (no further changes)
2017-06-24 - Laurent Bigonville <bigon@debian.org>
restorecond (2.7~rc3-1) experimental; urgency=medium
* Team upload.
* New upstream release candidate
- Rename source package from policycoreutils to restorecond, drop all
references to the packages that are not built from this src package
- Drop all the patches except 0006-default-config.patch, they are either
merged upstream or not releavant anymore since policycoreutils has been
split in smaller components
- debian/control: Bump {build-}dependencies to match the new release
* debian/watch: Add support for rc releases and use macros
* debian/control: Bump Standards-Version to 4.0.0 (no further changes) 
* debian/control: Add pkg-config to the build-dependencies
2017-01-10 - Laurent Bigonville <bigon@debian.org>
policycoreutils (2.6-3) unstable; urgency=medium
* Team upload.
* d/p/Handle-python-error-returns-correctly.patch: Fix a bug that was
preventing to override file contexts already defined in the policy
2016-11-28 - Laurent Bigonville <bigon@debian.org>
policycoreutils (2.6-2) unstable; urgency=medium
* Team upload.
* Upload to unstable
2016-11-23 - Laurent Bigonville <bigon@debian.org>
policycoreutils (2.6-1) experimental; urgency=medium
* Team upload.
* New upstream release
- Drop d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch,
d/p/sandbox-dbus-run-session.patch, d/p/CVE-2016-7545.patch,
d/p/sandbox-gobject-gtk.patch, applied upstream
- Refreshed the other patches
- debian/control: Bump {build-}dependencies to match the new release
- debian/control: Drop libapol-dev and libqpol-dev build-dependencies
- debian/python-sepolicy.install: Drop .so file, this is now a pure python
module.
- Install new restorecon_xattr executable and manpage
* debian/control: Drop libcgroup-dev build-dependency, no longer used
* debian/gbp.conf: Rename git-buildpackage section to buildpackage
* Switch to python3, disable system-config-selinux for now as it doesn't
support that version.
* d/p/policycoreutils-Use-new-sepolicy-icon-in-.desktop-fi.patch: Use new
icon for sepolicy (From upstream)
* d/p/Sandbox-Use-next-over-the-sepolicy.info-result.patch,
d/p/policycoreutils-Make-sepolicy-work-with-python3.patch,
d/p/policycoreutils-Use-GObject-introspection-binding-in.patch Add some
fixes for python3 (From upstream)
* debian/control: Add lsb-base dependency to please lintian

See Also

Package Description
restricted-ssh-commands_0.4-1_all.deb Restrict SSH users to a predefined set of commands
retext_7.0.4-1_all.deb Simple text editor for Markdown and reStructuredText
retroarch-assets_1.3.6+git20160731+dfsg1-1_all.deb RetroArch assets for XMB, GLUI and Zarch
retroarch_1.7.3+dfsg1-1_amd64.deb Simple frontend for the libretro library
retweet_0.10-1_all.deb Simple twitter bot to retweet
rev-plugins_0.7.1-3_amd64.deb reverb LADSPA plugin
revelation_0.4.14-3_amd64.deb GNOME2 Password manager
revolt_0.0+git20180813.6b10d57-1_all.deb better desktop integration for Riot.im
rex_1.6.0-1_all.deb deployment and configuration management tool
rexical_1.0.5-2_all.deb Lexical scanner generator for Ruby
rexima_1.4-8+b2_amd64.deb simple ncurses/command-line mixer
rfcdiff_1.45-1_all.deb compares two internet draft files and outputs the difference
rfdump_1.6-5_amd64.deb tool to decode RFID tag data
rfkill_2.32.1-0.2_amd64.deb tool for enabling and disabling wireless devices
rgbpaint_0.8.7-6+b1_amd64.deb simple pixel-based painting program
Advertisement
Advertisement